# Method: inboundOidcSsoProfiles.list

Lists `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundOidcSsoProfiles#InboundOidcSsoProfile` objects for a Google enterprise customer.

### HTTP request

`GET https://cloudidentity.googleapis.com/v1/inboundOidcSsoProfiles`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `filter` | `string` A [Common Expression Language](https://github.com/google/cel-spec) expression to filter the results. The only supported filter is filtering by customer. For example: `customer=="customers/C0123abc"`. Omitting the filter or specifying a filter of `customer=="customers/my_customer"` will return the profiles for the customer that the caller (authenticated user) belongs to. Specifying a filter of `customer==""` will return the global shared OIDC profiles. |
| `pageSize` | `integer` The maximum number of `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundOidcSsoProfiles#InboundOidcSsoProfile`s to return. The service may return fewer than this value. If omitted (or defaulted to zero) the server will use a sensible default. This default may change over time. The maximum allowed value is 100. Requests with pageSize greater than that will be silently interpreted as having this maximum value. |
| `pageToken` | `string` A page token, received from a previous `inboundOidcSsoProfiles.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `inboundOidcSsoProfiles.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response of the `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundOidcSsoProfiles/list#google.apps.cloudidentity.inboundoidcssoprofiles.v1.InboundOidcSsoProfilesService.ListInboundOidcSsoProfiles` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "inboundOidcSsoProfiles": [ { object (`https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundOidcSsoProfiles#InboundOidcSsoProfile`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `inboundOidcSsoProfiles[]` | ``object (`https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundOidcSsoProfiles#InboundOidcSsoProfile`)`` List of InboundOidcSsoProfiles. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-identity.inboundsso.readonly`
- `https://www.googleapis.com/auth/cloud-identity.inboundsso`
- `https://www.googleapis.com/auth/cloud-identity`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).